1. Positions
AirHub API
  • Introduction
  • Authentication
    • Overview
    • Get Oauth Token
      POST
  • Briefing
    • Overview
    • B4UFLY
      • What Is B4UFLY
      • The API Basics
      • Location vs Area
      • What's New in v2
      • v2
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
      • v1
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
  • Data
    • Positions
      • Send Positions
        POST
    • Elevation v1
      • Elevation
    • Elevation v2
      • Elevation
  • Operations
    • ASL Operations
      • List Operations
      • Create Operation
      • Get Operation
      • Delete Operation
      • Update Operation
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
      • Get Ephemeral Operation
      • Delete Ephemeral Operation
      • Claim Ephemeral Operation
  • Surface, Risk, and Routing
    • Overview
    • Surface Layers
      • Get Surface Layer Access
    • Risk and Routing
      • Classify Risk
      • Generate Route
      • Surface Hexbin
  • Vector Tiles
    • Overview
AirHub® Portal (Sandbox)
  1. Positions

Send Positions

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
POST
/v1/shim/raw-sanitizer
Last modified:2026-07-28 17:09:20
Send positions to the Airspace Link position telemetry pipeline.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
[{
"assetSource": "fricke",
"assetSourceId": "dfbfe5",
"assetType": "aircraft-remote-id",
"timestamp": "{{$date.now}}",
"longitude": -78.4767,
"latitude": 38.0293,
"altitude": 0.0,
"sourceAltitudeType": "wgs84",
"height": 0.0,
"speed": 0.0,
"track": 0.0,
"sensorId": [
"643123b0b9b54e5483d07db22e7fe233"
],
"extend": {
"source": "acoustic",
"sensor_ids": "643123",
"drone_id": "NONE",
"type": "ACOUSTIC"
},
"takeoffLongitude": 0.0,
"takeoffLatitude": 0.0,
"flightId": "dfbfe5",
"controllerLatitude": 0.0,
"controllerLongitude": 0.0,
"controllerAltitude": 0.0,
"deviceStatus": "active",
"sensorType": [
"acoustic"
]
}]

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://airhub-api-sandbox.airspacelink.com/v1/shim/raw-sanitizer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[{
"assetSource": "fricke",
"assetSourceId": "dfbfe5",
"assetType": "aircraft-remote-id",
"timestamp": "{{$date.now}}",
"longitude": -78.4767,
"latitude": 38.0293,
"altitude": 0.0,
"sourceAltitudeType": "wgs84",
"height": 0.0,
"speed": 0.0,
"track": 0.0,
"sensorId": [
"643123b0b9b54e5483d07db22e7fe233"
],
"extend": {
"source": "acoustic",
"sensor_ids": "643123",
"drone_id": "NONE",
"type": "ACOUSTIC"
},
"takeoffLongitude": 0.0,
"takeoffLatitude": 0.0,
"flightId": "dfbfe5",
"controllerLatitude": 0.0,
"controllerLongitude": 0.0,
"controllerAltitude": 0.0,
"deviceStatus": "active",
"sensorType": [
"acoustic"
]
}]'

Responses

🟢201
Document created, URL follows
This response does not have a body.
🟠400
Modified at 2026-07-28 17:09:20
Previous
B4UFLY Briefing By Location
Next
Elevation
Built with